/***
 * Excerpted from "Stripes: and Java Web Development is Fun Again",
 * published by The Pragmatic Bookshelf.
 * Copyrights apply to this code. It may not be used to create training material, 
 * courses, books, articles, and the like. Contact us if you are in doubt.
 * We make no guarantees that this code is fit for any purpose. 
 * Visit http://www.pragmaticprogrammer.com/titles/fdstr for more book information.
***/
package stripesbook.action;

import net.sourceforge.stripes.action.DefaultHandler;
import net.sourceforge.stripes.action.ForwardResolution;
import net.sourceforge.stripes.action.Resolution;
import stripesbook.model.Money;

public class MultipleSubmitActionBean extends BaseActionBean {
    private static final String VIEW = "/WEB-INF/jsp/multiple_submits.jsp";

    private static final String RESULT = "/WEB-INF/jsp/result.jsp";
    private static final String CANCEL = "/WEB-INF/jsp/cancel.jsp";

    public int youGiveMe;
    private Money money;
    
    @DefaultHandler
    public Resolution view() {
        return new ForwardResolution(VIEW);
    }
    public Money getMoney() {
        return money;
    }

    public Resolution doubleMoney() {
        money = new Money(youGiveMe, youGiveMe * 2);
        return new ForwardResolution(RESULT);
    }
    public Resolution cancel() {
        return new ForwardResolution(CANCEL);
    }

}
